/* font Inter */
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oranienbaum&display=swap');

/* font Inter */
@import url('https://fonts.googleapis.com/css2?family=PT+Serif:ital,wght@0,400;0,700;1,400;1,700&display=swap');


/* font Roboto */
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');


html {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

*,
*::after {
    box-sizing: inherit;
}

/* press footer to the bottom */
* {
    margin: 0;
    padding: 0;
}

html,
body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.main {
    flex: 1 0 auto;
}

.footer {
    flex: 0 0 auto;
}
/* press footer to the bottom */


body {
    font-family: "Roboto", sans-serif;
    font-style: normal;
    font-size: 16px;
    line-height: 1.2;
    font-weight: normal;
}

img {
    max-width: 100%;
    height: auto;
}

.wrapper {
    width: 100%;
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 20px;
}

h1 {
    /* font-family: "Roboto", sans-serif;
    font-style: normal;*/
    font-weight: 700; 
    font-size: 30px;
    margin: 40px 0;
}

h2 {
    /* font-family: "Roboto", sans-serif;
    font-style: normal; */
    font-weight: 700;
    font-size: 28px;
    margin: 30px 0;
}

h3 {
    /* font-family: "Roboto", sans-serif;
    font-style: normal; */
    font-weight: 600;
    font-size: 20px;
    margin: 20px 0;
}

h4 {
    /* font-family: "Roboto", sans-serif;
    font-style: normal; */
    font-weight: 600;
    font-size: 18px;
    margin: 20px 0;
}

p {
    /* font-family: "Roboto", sans-serif;
    font-style: normal; */
    font-weight: 400;
    font-size: 18px;
    line-height: 1.3;
    margin: 20px 0;
}

b {
    /* font-family: "Roboto", sans-serif;
    font-style: normal; */
    font-weight: 700;
    font-size: 18px;
}

strong {
    /* font-family: "Roboto", sans-serif;
    font-style: normal; */
    font-weight: 700;
    font-size: 18px;
}

ul,
ol {
    padding-left: 40px;
    margin: 20px 0;
}

li {
    /* font-family: "Roboto", sans-serif;
    font-style: normal; */
    font-weight: 400;
    font-size: 18px;
    line-height: 1.3;
    margin: 10px 0;
}

button {
    /* font-family: "Roboto", sans-serif;
    font-style: normal; */
    font-weight: 500;
    font-size: 18px;
    margin: 20px 0;
}

/* header */
    .overlay {
        display: none;
        width: 100%;
        height: 100%;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 10;
        background-color: rgba(0, 0, 0, 0.5);
    }

    .overlay-burger {
        display: none;
        width: 100%;
        height: 100%;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 10;
    }

    .overlay-burger.active {
        display: block;
    }

    .overlay.active {
        display: block;
    }

    /* Button up start */
    /* .btn-up {
        position: fixed;
        background-color: #449155;
        right: 22px;
        bottom: 20px;
        border-radius: 5px;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: opacity 0.3s ease-in-out;
        width: 50px;
        height: 40px;
        z-index: 10;
        opacity: 0.8;
    }
    
    .btn-up::before {
        content: "";
        background: transparent no-repeat center center;
        background-image: url(../img/up-arrow.svg);
        background-size: cover;
        width: 30px;
        height: 30px;
    }

    .btn-up_hide {
        display: none;
    }

    .btn-up_hiding {
        opacity: 0;
    }

    @media (hover: hover) and (pointer: fine) {
        .btn-up:hover {
            opacity: 1;
        }
    } */
    /* Button up end */

    /* Preloader start */
    /* .preloader {
        position: fixed;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0;
        overflow: hidden;
        background: white;
        z-index: 1001;
    }
    
    .preloader__image {
        position: relative;
        top: 50%;
        left: 50%;
        width: 70px;
        height: 70px;
        margin-top: -35px;
        margin-left: -35px;
        text-align: center;
        animation: preloader-rotate 2s infinite linear;
    }
    
    @keyframes preloader-rotate {
        100% {
        transform: rotate(360deg);
        }
    }
    
    .loaded_hiding .preloader {
        transition: 0.3s opacity;
        opacity: 0;
    }
    
    .loaded .preloader {
        display: none;
    } */
    /* Preloader end */

    /* Bread crumbs start */
    /* .breadcrumbs.wrapper {
        margin: 5px 15px;
    }

    .breadcrumbs span {
        font-family: 'Roboto';
        font-style: normal;
        font-weight: 500;
        font-size: 15px;
    }

    .breadcrumbs a {
        text-decoration: none;
        color: #000000;
    }

    .breadcrumbs a span {
        font-family: 'Roboto';
        font-style: normal;
        font-weight: 600;
        font-size: 15px;
        transition: 0.3s;
    }

    .breadcrumbs a:hover {
        color: #327941;
    } */
    /* Bread crumbs end */
/* header */

/* main start */
    /* .main {
        margin-bottom: 100px;
    } */

    /* .back-col {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 50px;
    } */

    .header-top {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 10px 100px;
        width: 100%;
        max-width: 1440px;
        margin: 0 auto;
        padding: 10px 20px;
    }

    .header-top__mobile {
        display: none;
    }

    .mobile-logo {
        max-width: 300px;
    }

    .header-top__name-address {
        margin-bottom: 10px;
    }

    .header-top__name-address p {
        font-size: 16px;
        margin: 0;
        font-weight: 600;
    }

    .header-top__name-work p {
        font-size: 16px;
        margin: 0;
    }

    /* .header-top__address p {
        font-size: 18px;
        line-height: 1.5;
    } */

    /* .header-top__address b {
        font-size: 16px;
    } */

    /* .header-top__address i {
        font-style: italic;
    } */

    /* logo start */
    .top-logo img {
        max-width: 400px;
    }
    /* logo end */

    /* menu start */
    .header-bottom {
        border-bottom: 1px solid #efefef;
        border-top: 1px solid #efefef;
        display: flex;
        justify-content: center;
        gap: 30px;
        align-items: center;
        z-index: 11;
    }

    .header-bottom__pic img {
        width: 40px;
    }

    #menu-top {
        display: flex;
        /* gap: 40px; */
        justify-content: center;
    }
    
    #menu-top a {
        display: block;
        padding: 8px 25px;
        text-decoration: none;
        color: #000000;
        font-size: 18px;
        /* opacity: .7; */
        transition: .2s;
    }

    #menu-top a:hover {
        opacity: 1;
    }

    .sub-menu {
        display: none;
        position: absolute;
        z-index: 1;
        background-color: #ffffff;
        border: 1px solid #efefef;
        z-index: 2;
    }

    #menu-top .menu-item:hover>.sub-menu {
        display: block;
    }

    .sub-menu li {
        border-bottom: 1px solid #00000024;
    }

    #menu-top .menu-item:hover {
        background-color: #292626;
        color: #ffffff;
    }

    #menu-top .menu-item:hover>a {
        background-color: #292626;
        color: #ffffff;
    }

    #menu-top a:hover {
        color: #ffffff;
    }

    .menu-top-container ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

    .menu-top-container li {
        margin: 0;
    }
    /* menu end */

    /* inside rubric start */
    .name-heading {
        text-align: center;
        margin-top: 30px;
        margin-bottom: 40px;
        font-weight: 600;
    }

    .page-name__news {
        display: grid;
        gap: 15px;
        grid-template-columns: repeat(3,1fr);
    }

    .news-post a {
        position: relative;
        display: block;
    }

    .news-post__text {
        position: absolute;
        display: flex;
        justify-content: center;
        text-align: center;
        width: 100%;
        bottom: 20px;
        left: 0;
        color: #ffffff;
        text-shadow: rgb(0, 0, 0) 1px 0 10px;
    }

    .news-post__text h2 {
        text-align: center;
    }

    .news-post__pic {
        overflow: hidden;
        border-radius: 5px;
    }

    .news-post__pic img {
        width: 100%;
        transition: .3s;
    }

    .news-post:hover img {
        transform: scale(1.05);
    }
    /* inside rubric end */

    /*  */
    .top-info {
        display: flex;
        flex-direction: column;
        text-align: center;
        gap: 15px;
    }

    .connection__button {
        padding: 5px 10px;
        background-color: #141c23;
        text-decoration: none;
        color: #efefef;
        transition: .3s;
        border: none;
        border-radius: 5px;
        line-height: inherit;
        margin: 0;
    }

    .connection__button:hover {
        background-color: #353636;
    }

    .top-info__number {
        display: flex;
        gap: 5px;
        flex-direction: column;
    }

    .top-info__number a {
        font-weight: 500;
        text-decoration: none;
        color: #000000;
        transition: .3s;
    }
    /*  */

    /*  */
    .wp-block-image {
        margin-bottom: 20px;
    }
    /*  */

    /* tags */
    /* .block {
        display: flex;
    }

    .block-center {
        width: calc(100% - 250px);
    } */
    /* tags end */
    
    /* .menu-bottom-container a,
    .footer-top_address a {
        opacity: .7;
    } */

    /* .current_page_item a,
    .active-item_menu a {
        text-shadow: 1px 0 1px rgb(207, 207, 207);
        opacity: 1 !important;
    } */

    .active-item_selection {
        background-color: #828282 !important;
        color: #ffffff !important;
    }

    /* Modal window start */
    .connection__tel {
        text-align: end;
    }

    .connection__tel a {
        /* font-family: "Roboto", sans-serif; */
        font-weight: 800;
        font-size: 16px;
        text-decoration: none;
        color: #000000;
    }

    .connection__tel p {
        /* font-family: "Roboto", sans-serif; */
        font-weight: 500;
        font-size: 16px;
    }

    @keyframes ani {
        0% {opacity: 0;}
        100% {opacity: 1;}
    }

    /* 0 */
    .modal {
        display: none;
        position: fixed;
        z-index: 102;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        overflow-y: auto;
        background-color: rgba(0,0,0,0.6);
        opacity: 0;
        animation: ani .5s forwards;
        padding: 20px;
    }

    .modal-content {
        position: relative;
        background-color: #fefefe;
        margin: 50px auto;
        padding: 30px 40px;
        border: 1px solid #888;
        max-width: 600px;
        border-radius: 5px;
    }

    .modal-content__question {
        /* font-family: "Roboto", sans-serif;
        font-style: normal; */
        font-weight: 700;
        font-size: 28px;
        text-align: center;
        margin-top: 0;
        margin-bottom: 50px;
    }

    .close {
        position: absolute;
        right: 10px;
        top: 2px;
        color: #aaa;
        float: right;
        font-size: 28px;
        font-weight: bold;
    }

    .close:hover,
    .close:focus {
        color: black;
        text-decoration: none;
        cursor: pointer;
    }

    .bottom-part__logo {
        /* font-family: "Roboto", sans-serif;
        font-style: normal; */
        font-weight: 500;
        font-size: 20px;
        display: none;
        color: #ffffff;
    }
    /* 0 */

    /* 1 ask-question start */
    .wpcf7-form {
        text-align: left;
    }

    .wpcf7-form p {
        margin: 0;
    }

    .cf__main-line {
        margin-bottom: 20px;
    }

    .cf__model__text {
        /* font-family: "Roboto", sans-serif;
        font-style: normal; */
        font-weight: 600;
        font-size: 18px;
        margin-bottom: 5px;
    }

    .cf__spare-parts__label .cf__model__text {
        padding-bottom: 5px;
        margin-bottom: 0;
    }

    .cf__model__text span {
        color: #ff0000;
    }

    .wpcf7 form .wpcf7-response-output {
        margin: 20px 0 0 0;
    }

    .cf__ask-question__input,
    .cf__engineering__input,
    .cf__ask-question__textarea {
        width: 100%;
        /* font-family: "Roboto", sans-serif;
        font-style: normal; */
        font-weight: 500;
        font-size: 16px;
        padding-left: 10px;
        /* transition: .2s; */
        background: #ffffff;
        border: 1px solid #cacaca;
    }

    .cf__ask-question__input {
        height: 40px;
    }

    .cf__engineering__input {
        height: 40px;
    }

    .cf__ask-question__textarea {
        height: 120px;
        padding-top: 10px;
    }

    .cf__ask-question__input:focus,
    .cf__ask-question__textarea:focus {
        border: 2px solid #141c23;
    }

    .cf__ask-question__submit-button input {
        /* font-family: "Roboto", sans-serif;
        font-style: normal; */
        font-weight: 600;
        font-size: 18px;
        padding: 10px 20px;
        transition: .3s;
        border: none;
        color: #000000;
        background-color: #f2f2f2;
    }

    .cf__ask-question__info .wpcf7-not-valid-tip,
    .cf__ask-question__text .wpcf7-not-valid-tip,
    .cf__captcha .wpcf7-not-valid-tip {
        /* font-family: "Roboto", sans-serif;
        font-style: normal; */
        font-weight: 500;
        font-size: 15px;
    }

    .cf__ask-question__submit-button .wpcf7-submit:hover {
        background-color: #dfdfdf;
    }

    .cf__ask-question__submit-button .wpcf7-spinner {
        display: none;
    }

    .cf__ask-question__submit-button .wpcf7-response-output {
        /* font-family: "Roboto", sans-serif;
        font-style: normal; */
        font-weight: 400;
        font-size: 15px;
        margin: 0;
        margin-top: 15px;
    }

    .cf__captcha {
        margin-bottom: 20px;
    }

    .recaptcha-checkbox {
        cursor: pointer;
    }
    /* 1 ask-question end */
    /* Top-part end */
    /* Modal window end */

    /* burger start */
    .header-bottom__burger {
        display: none;
    }

    .header-bottom__burger p {
        padding: 0;
    }

    .burger-menu {
        line-height: 40px;
        font-weight: 600;
        color: #231f20;
        font-size: 16px;
        font-weight: 600;
        height: 40px;
        line-height: 40px;
        display: block;
        padding-left: 35px;
        cursor: pointer;
        background-size: 25px 20px;
        background-position: 0 50%;
        background-repeat: no-repeat;
        -webkit-tap-highlight-color: transparent;
        background-image: url(../img/mob-menu-open.svg);
    }

    .burger-icon__close {
        background-image: url(../img/mob-menu-close.svg);
    }
    /* burger end */

    /* active cat start */
    .records-tag_item-active {
        background-color: #292626 !important;
        color: #ffffff !important;
    }
    /* active cat end */
/* main end */

/* footer */
.footer {
    background-color: #141c23;
    margin-top: 80px;
}

.footer h3,
.footer li,
.footer a,
.footer p {
    color: #ffffff;
}

.footer-top {
    display: flex;
    justify-content: space-between;
    padding: 40px 0;
}

.footer-top h3 {
    border-bottom: 1px solid;
    font-weight: 500;
    margin-top: 0;
    margin-bottom: 15px;
}

.footer-top p {
    opacity: .8;
}

.footer-top_button {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
}

.footer-top_button a {
    text-decoration: none;
    color: #000000;
    text-transform: uppercase;
    padding: 10px;
    background-color: #ffffff;
    opacity: 1;
    transition: .3s;
}

.footer-top_button a:hover {
    opacity: .8;
}

.footer-bottom p {
    text-align: center;
    font-size: 12px;
    opacity: .8;
    padding: 10px 0;
    margin: 0;
}

.footer-top_menu .children {
    display: none;
}

.footer-top_menu .current_page_item a, .active-item_menu {
    text-shadow: none;
}

.footer-top_menu ul,
.footer-top_address ul,
.footer-top_social-media ul {
    list-style: none;
    padding: 0;
    margin: 0;
    margin: 0;
}

.footer-top_menu ul li,
.footer-top_address ul li,
.footer-top_social-media ul li {
    padding: 3px 0;
    margin: 0;
}

.footer-top_menu a,
.footer-top_address a {
    text-decoration: none;
}

.footer-top_social-media ul {
    display: flex;
    gap: 10px;
}

.vk-link {
    display: block;
    width: 50px;
    height: 50px;
    background-image: url(../img/vk.png);
    background-size: cover;
}

.instagram-link {
    display: block;
    width: 50px;
    height: 50px;
    background-image: url(../img/instagram.png);
    background-size: cover;
}
/* footer */

/* Button up start */
.btn-up {
    position: fixed;
    background-color: #6a6a6af5;
    right: 22px;
    bottom: 20px;
    border-radius: 5px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 0.3s ease-in-out;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    z-index: 10;
    opacity: 0.8;
}

.btn-up::before {
    content: "";
    background: transparent no-repeat center center;
    background-image: url(../img/arrow-up2.png);
    background-size: cover;
    width: 30px;
    height: 30px;
}

.btn-up_hide {
    display: none;
}

.btn-up_hiding {
    opacity: 0;
}

@media (hover: hover) and (pointer: fine) {
    .btn-up:hover {
        opacity: 1;
    }
}
/* Button up end */

@media (max-width: 1439px) {
    .header-top {
        padding: 10px 20px;
    }
}

@media (max-width: 1279px) {
    .modal-content {
        margin: 40px auto;
    }

    .modal-content__question {
        font-size: 24px;
    }

    .cf__ask-question__submit-button input {
        font-size: 16px;
    }

    h1 {
        font-size: 26px;
    }
    
    h2 {
        font-size: 24px;
        margin-top: 30px;
        margin-bottom: 20px;
    }

    h3 {
        font-size: 17px;
    }

    h4 {
        font-size: 16px;
    }
    
    b {
        font-size: 16px;
    }
    
    p {
        font-size: 16px;
        margin: 10px 0;
    }

    ul, ol {
        padding-left: 30px;
        margin: 10px 0;
    }
    
    strong {
        font-size: 16px;
    }

    li {
        font-size: 16px;
    }

    button {
        font-size: 16px;
    }

    #menu-top a {
        font-size: 16px;
    }

    .footer {
        margin-top: 60px;
    }
}

@media (max-width: 1023px) {
    .wrapper {
        padding: 0 15px;
    }

    .modal-content {
        margin: 20px auto;
    }

    .modal-content__question {
        font-size: 22px;
        margin-bottom: 20px;
    }

    .name-heading {
        margin-top: 20px;
        margin-bottom: 10px;
    }

    .top-logo img {
        max-width: 300px;
    }

    .top-info {
        gap: 10px;
    }

    .burger-menu {
        display: block;
    }

    .menu-top-container.active {
        transform: translateX(0);
    }

    #menu-top {
        display: block;
    }

    #menu-top li {
        border-bottom: 1px solid gainsboro;
    }

    #menu-top li:last-child {
        border-bottom: none;
    }

    #menu-top .menu-item:hover>.sub-menu {
        display: none;
    }

    #menu-top .menu-item:hover>a {
        background-color: #f2f2f2;
        color: #000000;
    }

    .header-bottom__burger {
        display: flex;
        align-items: center;
        padding-left: 15px;
    }

    .header-bottom {
        position: relative;
    }

    .menu-top-container {
        position: absolute;
        top: 41px;
        left: 0;
        font-weight: 500;
        background-color: #141c23;
        z-index: 11;
        padding: 0 15px;
        transform: translateX(-101%);
        transition: 0.3s;
    }

    #menu-top a {
        color: #ffffff;
    }

    #menu-top .menu-item:hover>a {
        background-color: #141c23;
        color: #ffffff;
    }

    .page-name__news {
        gap: 10px;
        grid-template-columns: repeat(2,1fr);
    }

    .header-bottom {
        justify-content: left;
    }

    .header-top {
        padding: 10px 15px;
    }

    .block-center {
        width: calc(100% - 230px);
    }

    .footer {
        margin-top: 40px;
    }
}

@media (max-width: 749px) {
    .header-top__address,
    .top-logo,
    .header-top__name-work,
    .header-top__name-address {
        display: none;
    }

    .header-top__mobile {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        margin-bottom: 5px;
    }

    .header-top {
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 0;
    }

    .menu-top-container {
        padding: 0 10px;
    }

    .header-top__mobile p {
        margin: 0;
    }
    
    .footer-top {
        flex-direction: column;
        gap: 40px;
        padding: 20px 0;
    }

    .vk-link {
        width: 40px;
        height: 40px;
    }
    
    .instagram-link {
        width: 40px;
        height: 40px;
    }

    .footer-top h3 {
        margin-bottom: 10px;
    }
}

@media (max-width: 599px) {
    .header-top {
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 0;
    }

    .top-info {
        gap: 15px;
    }

    .header-top__mobile {
        gap: 15px;
    }

    .header-top__mobile p {
        padding: 0 0 5px 0;
    }

    .modal-content {
        margin: 0 auto;
        padding: 20px 20px;
    }

    .cf__main-line {
        margin-bottom: 15px;
    }

    .footer-top {
        gap: 30px;
    }
}

@media (max-width: 424px) {
    .mobile-logo {
        max-width: 250px;
    }
}

@media (max-width: 374px) {
}